## olpc-powerd 23

=== Makefile ===
# Copyright (C) 2009 Paul G. Fox
# Licensed under the terms of the GNU GPL v2 or later; see COPYING for details.

PACKAGE=olpc-powerd
VERSION=23


# don't edit .spec -- edit .spec.tmpl
SPEC=$(PACKAGE).spec

DATETAG=$(shell date +%Y%m%d)
GITHEAD=git$(shell test -d .git && git rev-parse --short HEAD )

ifeq ($(do_rel),)
    SNAP=.$(DATETAG)$(GITHEAD)
endif


RELEASE=$(shell cat .spec_release 2>/dev/null || echo error)
SRELEASE=$(RELEASE)$(SNAP)

TARBALL=$(PKGVER)-$(GITHEAD).tar.gz
SRPM=$(PKGVER)-$(SRELEASE).src.rpm

MOCK=./mock-wrapper -r fedora-11-i386 --resultdir=$(MOCKDIR)
MOCKDIR=./rpms
CWD=$(shell pwd)

PKGVER=$(PACKAGE)-$(VERSION)

# may be set externally to RPM_OPT_FLAGS
OPT_FLAGS ?= -O2 -g

#####

PROGS = olpc-switchd pnmto565fb

CFLAGS = -Wall $(OPT_FLAGS) -DVERSION=$(VERSION)

#####

all: version $(PROGS)

# testing targets
tarball:  $(TARBALL)
srpm: $(SRPM)

version: Makefile
	@echo "powerd_version='version $(VERSION)'" >version

src_distribute: $(TARBALL) $(SRPM)
	scp $(TARBALL) $(SRPM)  \
		crank:public_html/rpms/srpms
#	scp $(SPEC) \
#		crank:public_html/rpms/srpms/$(SPEC)-$(VERSION)-$(SRELEASE)
distribute: src_distribute rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm
	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		crank:public_html/rpms

privdist:
	scp rpms/$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		crank:public_html/private_rpms
	ssh crank ln -sf \
		$(PKGVER)-$(SRELEASE).fc11.i586.rpm \
		public_html/private_rpms/$(PKGVER)-$(RELEASE).latest.rpm

# create the real spec (carefully!) so it refers to a) our tarball, and
# b) our prerelease string.
$(SPEC): ALWAYS
	sed \
	-e 's/__VERSION__/$(VERSION)/' \
	-e 's/__RELEASE__/$(SRELEASE)/' \
	-e 's/__TARBALL__/$(TARBALL)/' \
	$(SPEC).tmpl > $(SPEC)


# build the tarball directly from git.
# THIS MEANS NO UNCOMMITED CHANGES WILL BE INCLUDED!!!

$(TARBALL):
	-git diff --exit-code # working copy is clean?
	-git diff --cached --exit-code # uncommitted changes?
	git archive --format=tar --prefix=$(PKGVER)/ HEAD | gzip -c > $@


# build the SRPM from the spec and the tarball

$(SRPM): $(SPEC) $(TARBALL)
	rpmbuild --define "_specdir $(CWD)" \
		 --define "_sourcedir $(CWD)" \
		 --define "_builddir $(CWD)"  \
		 --define "_srcrpmdir $(CWD)"  \
		 --define "_rpmdir $(CWD)"  \
		 --define "dist %nil"  \
		 --nodeps -bs $(SPEC)

# build rpm from the srpm
mock: version $(SRPM)
	@mkdir -p $(MOCKDIR)
	$(MOCK) -q --init
	$(MOCK) --installdeps $(SRPM)
	$(MOCK) -v --no-clean --rebuild $(SRPM)

clean:
	rm -f *.o $(PROGS)
	-$(RM) $(SRPM) $(TARBALL)
	-$(RM) -rf $(MOCKDIR)

.PHONY: tarball srpm mock ALWAYS

=== debian/changelog ===
olpc-powerd (23-5) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Generate and cleanup debian/powerd.conf during package build.
  * Do not overwrite hardening flags.  (Closes: #1021457)
  * Fix building with -Werror=implicit-function-declaration.
  * Tune (Pre-)Depends.
  * Add Recommends: dialog.  (Closes: #641204)
  * Work around struct input_event.time kernel api change.  (Closes: #1069435)
  * Add upstream metadata, Homepage and watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 13:23:18 +0200

olpc-powerd (23-4) unstable; urgency=medium

  * QA upload.
  * Install files into /usr/sbin instead of /sbin.
  * Stop depending on bash, which is essential.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 03:39:16 +0100

olpc-powerd (23-3) unstable; urgency=low

  * Orphaning this package. I no longer own any OLPC hardware.
  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Set source package format to 3.0 and add quilt patches.
  * Update debian/copyright for DEP5.
  * Depend on lsb-base.
  * Depend on bash, and patch for #!/bin/bash where needed (closes: #772286).

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 22:48:41 +0000

olpc-powerd (23-2) unstable; urgency=low

  * Add a missing dependency on ethtool (thanks, Sascha Silbe!).

 -- Andres Salomon <dilinger@debian.org>  Fri, 18 Jun 2010 15:44:50 +0000

olpc-powerd (23-1) unstable; urgency=low

  * New upstream release.
  * Fix CONFIGDIR variable in scripts (closes: #585141).

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Jun 2010 20:23:25 +0000

olpc-powerd (22-1) unstable; urgency=low

  * New upstream release.
  * Fixes a bashism in an upstream script (closes: #581131).

 -- Andres Salomon <dilinger@debian.org>  Tue, 01 Jun 2010 21:41:59 +0000

olpc-powerd (19-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 20:04:33 +0000

=== debian/control ===
Source: olpc-powerd
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://dev.laptop.org/git/users/pgf/powerd/
Vcs-Browser: https://salsa.debian.org/debian/olpc-powerd
Vcs-Git: https://salsa.debian.org/debian/olpc-powerd.git

Package: olpc-powerd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ethtool,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dialog,
 iptables,
Description: OLPC XO power management support daemon
 The powerd daemon can function as an easily customizable replacement for ohmd
 (independent of X, D-Bus, and hald).  This package provides the powerd
 and olpc-switchd daemons, and related utilities.  The olpc-switchd daemon
 simply provides notifications about lid and switch events.  The powerd daemon
 controls display dimming, automatically putting an XO to sleep after a period
 of idleness, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND = -D_GNU_SOURCE

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f version
	$(RM) debian/powerd.conf

execute_before_dh_install: debian/powerd.conf

debian/powerd.conf:
	cp powerd.conf.dist debian/powerd.conf
	# we don't use pwrlog stuff
	sed -i s/^config_PWRLOG_INTERVAL=.*/config_PWRLOG_INTERVAL=\"0\"/g debian/powerd.conf

=== debian/watch ===
version=4
https://dev.laptop.org/git/users/pgf/powerd/refs/tags \
  (?:.*?/)?powerd-(\d[\d.]*)\.tar\.bz2
